<?php include('tpl.meta.php');?>
<?php include('tpl.header.php');?>
  <!-- Page Title -->
  <section class="container padding-top-3x">
    <h1 class="space-top-half tablet-center"> <?php echo $this->lang->line('User Information');?> </h1>
  </section>
  <section class="container padding-top">
    <form method="post">
      <div class="form-group">
        <div class="row">
          <div class="col-sm-4">
            <label><?php echo $this->lang->line('Email address');?></label>
            <input type="text" class="form-control" name="email" value="<?php if(isset($member[0]->email)){ echo $member[0]->email;}?>" disabled>
          </div>
          <div class="col-sm-3">
            <label>New Password</label>
            <input type="password" class="form-control" name="password" id="password" >
          </div>
          <div class="col-sm-3">
            <label>New Password Verify</label>
            <input type="password" class="form-control" id="password2" >
            <p id="validate-status"></p>
          </div>
        </div>
      </div>
      <br>
      <h1 class="space-top-half tablet-center"> <?php echo $this->lang->line('Personal Information');?> </h1>
      <div class="form-group">
        <div class="row">
          <div class="col-sm-4">
            <label><?php echo $this->lang->line('First Name');?></label>
            <input type="text" name="firstname" class="form-control" value="<?php if(isset($member[0]->firstname)){ echo $member[0]->firstname; }?>" required>
          </div>
          <div class="col-sm-4">
            <label><?php echo $this->lang->line('Last Name');?></label>
            <input type="text" name="lastname" class="form-control" value="<?php if(isset($member[0]->lastname)){ echo $member[0]->lastname; }?>" required>
          </div>
        </div>
      </div>
      <div class="form-group">
        <div class="row">
          <div class="col-sm-4">
            <label><?php echo $this->lang->line('Address');?></label>
            <input type="text" class="form-control" name="address" value="<?php if(isset($member[0]->address)){ echo $member[0]->address; }?>" required>
          </div>
          <div class="col-sm-4">
            <label><?php echo $this->lang->line('City');?></label>
            <input type="text" class="form-control" name="city" value="<?php if(isset($member[0]->city)){ echo $member[0]->city; }?>" required>
          </div>
          <div class="col-sm-4">
            <label><?php echo $this->lang->line('State/Province');?></label>
            <input type="text" class="form-control" name="state" value="<?php if(isset($member[0]->state)){ echo $member[0]->state;} ?>" required>
          </div>
        </div>
      </div>
      <div class="form-group">
        <div class="row">
          <div class="col-sm-4">
            <label><?php echo $this->lang->line('Zipcode');?></label>
            <input type="text" class="form-control" name="zipcode" value="<?php if(isset($member[0]->zipcode)){ echo $member[0]->zipcode;} ?>" required>
          </div>
          <div class="col-sm-4">
            <label><?php echo $this->lang->line('Country');?></label>
            <select class="form-control" id="country" name="country" required>
              <option value=""> - <?php echo $this->lang->line('Country');?> - </option>
              <?php 
                  foreach($country as $index=>$value){
                      if(isset($member[0]->country)){
                          if($member[0]->country == $value->code){
                              $select = ' selected';
                          }else{
                              $select = '';
                          }
                      }
                      echo '<option value="'.$value->code.'"'.$select.'>'.$value->name.'</option>';
                  }
                  ?>
            </select>
          </div>
          <div class="col-sm-4">
            <label><?php echo $this->lang->line('Phone');?></label>
            <input type="text" name="phone" class="form-control" value="<?php if(isset($member[0]->phone)){ echo $member[0]->phone;}?>">
          </div>
        </div>
      </div>
      <div class="form-group">
        <div class="row">
          <div class="col-sm-4">
            <label><?php echo $this->lang->line('Fax');?></label>
            <input type="text" name="fax" class="form-control" value="<?php if(isset($member[0]->fax)){ echo $member[0]->fax;}?>">
          </div>
        </div>
      </div>
      <br>
      <h1 class="space-top-half tablet-center"> <?php echo $this->lang->line('Delivery Information');?> </h1>
      <div class="form-group">
        <div class="row">
          <div class="col-sm-12">
            <label class="checkbox">
              <input type="checkbox" id="delivery" value="1">
              <?php echo $this->lang->line('Delivery to personal information address');?></label>
          </div>
        </div>
      </div>
      <?php 
          if(isset($member[0]->delivery)){
              $delivery = json_decode($member[0]->delivery,true);
          }
          ?>
      <div id="delivery-info">
        <div class="form-group">
          <div class="row">
            <div class="col-sm-4">
              <label><?php echo $this->lang->line('Address');?></label>
              <input type="text" name="delivery[address]" id="delivery_address" class="form-control" required value="<?php if(isset($delivery['address'])){ echo $delivery['address'];}?>">
            </div>
            <div class="col-sm-4">
              <label><?php echo $this->lang->line('City');?></label>
              <input type="text" name="delivery[city]" id="delivery_city" class="form-control" required value="<?php if(isset($delivery['city'])){ echo $delivery['city'];}?>">
            </div>
            <div class="col-sm-4">
              <label><?php echo $this->lang->line('State/Province');?></label>
              <input type="text" name="delivery[state]" id="delivery_state" class="form-control" required value="<?php if(isset($delivery['state'])){ echo $delivery['state'];}?>">
            </div>
          </div>
        </div>
        <div class="form-group">
          <div class="row">
            <div class="col-sm-4">
              <label><?php echo $this->lang->line('Zipcode');?></label>
              <input type="text" name="delivery[zipcode]" id="delivery_zipcode" class="form-control" required  value="<?php if(isset($delivery['zipcode'])){ echo $delivery['zipcode'];}?>">
            </div>
            <div class="col-sm-4">
              <label><?php echo $this->lang->line('Country'); ?></label>
              <select class="form-control" name="delivery[country]" id="delivery_country_address" required>
                <option value=""> - <?php echo $this->lang->line('Country');?> -</option>
                <?php 
                    foreach($country as $index=>$value){

                        if(isset($delivery['country'])){
                            if($value->code == $delivery['country']){
                                $select = ' selected';
                            }else{
                                $select = '';
                            }
                        }

                        echo '<option value="'.$value->code.'"'.$select.'>'.$value->name.'</option>';
                    }
                    ?>
              </select>
            </div>
          </div>
        </div>
        <br>
        <div class="form-group">
          <div class="row">
            <div class="col-sm-4">
              <input name="save" type="submit" class="btn btn-block btn-primary" value="<?php echo $this->lang->line('Save');?>">
            </div>
          </div>
        </div>
      </div>
    </form>
  </section>
  <script>
      jQuery(document).ready(function($)
      {
          var n = 0;
          $('.checkbox, .iCheck-helper').on('click', function(){
              n++;

              if(n == 1){

                  var address = $('input[name=address]').val();
                  var city = $('input[name=city]').val();
                  var state = $('input[name=state]').val();
                  var zipcode = $('input[name=zipcode]').val();
                  var country = $('select#country').val();
                  $('#delivery_address').val(address);
                  $('#delivery_city').val(city);
                  $('#delivery_state').val(state);
                  $('#delivery_zipcode').val(zipcode);
                  $('#delivery_country_address').val(country);
                  n = -1;
              }
          });
          

  $("#password2").keyup(validate);


      });
      


	function validate() {
	  var password1 = $("#password").val();
	  var password2 = $("#password2").val();

	
 
		if(password1 == password2) {
		   $("#validate-status").text("passwords match");        
		}
		else {
			$("#validate-status").text("passwords don't match");  
		}
	
	}

  </script>
  <?php include('tpl.footer.php');?>