<?php //include('tpl.meta.php');?>
<?php //include('tpl.header.php');?>
  <section class="fw-section bg-gray padding-top-3x">
    <div class="container padding-top">
      <?php
if(count($gallery)){
?>
      <div class="product-gallery">
        <ul class="product-gallery-preview">
          <?php 
						$n = 1;
						foreach($gallery as $index=>$value){
							
							if($n == 1){
								$style = 'current';
							}else{
								$style = '';
							}

							$url =  base_url().'slide/'.$value->upload_id.'/750x750';							
							
							?>
          <li id="preview0<?php echo $n; ?>" class="<?php echo $style;?>"> <img src="<?php echo $url; ?>" alt="<?php echo $product[0]->product_name; ?>"> </li>
          <?php 
							$n++;
						}
						?>
        </ul>
        <ul class="product-gallery-thumblist">
          <?php
						$n = 1;
            foreach($gallery as $index=>$value){
							
							if($n == 1){
								$active = 'active';
							}else{
								$active = '';
							}
							
							$url =  base_url().'slide/'.$value->upload_id.'/250x250';							
						?>
          <li class="<?php echo $active; ?>"><a href="#preview0<?php echo $n; ?>"> <img src="<?php echo $url; ?>" alt="<?php echo $product[0]->product_name; ?>"> </a></li>
          <?php 
							$n++;
						}
						?>
        </ul>
      </div>
      <?php 
}
?>
    </div>
  </section>
  
  <!-- Product Info -->
  <section class="fw-section bg-gray padding-bottom-3x">
    <div class="container">
      <div class="product-info padding-top-2x text-center">
        <h1 class="h2 space-bottom-half"><?php echo $product[0]->product_name; ?></h1>
        <h2>
          <?php if($product[0]->product_price_cross > 0){?>
          <del style="font-size:16px;"><span class="old-price <?php echo $sess[0]->currency; ?>"> <?php echo $this->Currency->convert($product[0]->product_price_cross, $product[0]->product_currency, $sess[0]->currency, $currency);?> </span></del>
          <?php }?>
          <span class="text-danger <?php echo $sess[0]->currency; ?>">
          
          <?php 
          	echo $this->Currency->convert($product[0]->product_price, $product[0]->product_currency, $sess[0]->currency, $currency);
          ?>
          
          </span> </h2>
        <p class="text-sm text-gray">
				<?php 
				if($language[0]->code == $property[0]->lang){
					echo $product[0]->product_description; 
				}else{
					if(isset($translate[0]->description)){
						echo $translate[0]->description;
					}else{
						echo '<span id="product-description" class="translate" lang="'.$property[0]->lang.'">'.$product[0]->product_description.'</span>'; 					
					}
				}
				?></p>
        <div class="product-meta">
          <div class="product-sku"> <strong>SKU: </strong> <span><?php echo $product[0]->product_code;?></span> </div>
          <div class="product-category"> <strong><?php echo $this->lang->line('Category');?>: </strong> <a href="<?php echo base_url().$sess[0]->lang;?>/category/<?php echo $current_category[0]->slug; ?>"><?php echo $current_category[0]->title;?></a> </div>
          <span class="product-rating text-warning"> <i class="material-icons star"></i> <i class="material-icons star"></i> <i class="material-icons star"></i> <i class="material-icons star"></i> <i class="material-icons star_border"></i> </span>
          <?php if($product[0]->product_minorder > 0){?>
          <div class="product-category"><strong><?php echo $this->lang->line('Minimum order');?> :</strong> <span><?php echo $product[0]->product_minorder; ?></span></div>          
          <?php } ?>
          <div class="product-category"><strong><?php echo $this->lang->line('Availability');?> :</strong> <span><?php echo $this->lang->line($product[0]->product_availability); ?></span></div>
          
        </div>
        <!-- .product-meta -->
        <div class="product-tools shop-item">
          <div class="count-input"> <a class="incr-btn" data-action="decrease" href="#">–</a>
            <input class="quantity" name="unit" type="text" value="<?php if($product[0]->product_minorder > 0){ echo $product[0]->product_minorder;}else{ echo '1';}?>">
            <a class="incr-btn" data-action="increase" href="#">+</a> </div>
          <!-- .count-input -->
          
          <?php 
					if($product[0]->color_option){
						$option = explode(',', $product[0]->color_option);	
					?>
          <div class="form-element">
            <select name="option[color]" class="form-control form-control-sm product_option_color" required>
              <option value=""><?php echo $this->lang->line('Color');?></option>
              <?php foreach($option as $index=>$value){?>
              <option value="<?php echo trim($value);?>"><?php echo $value; ?></option>
              <?php }?>
            </select>
          </div>
          <?php 
					}
					
					if($product[0]->size_option){
						$option = explode(',', $product[0]->size_option);	
					?>
          <div class="form-element">
            <select name="option[size]" class="form-control form-control-sm product_option_size" required>
              <option value=""><?php echo $this->lang->line('Size');?></option>
              <?php foreach($option as $index=>$value){?>
              <option value="<?php echo trim($value);?>"><?php echo $value; ?></option>
              <?php }?>
            </select>
          </div>
          <?php 
					}
					
					?>

                <a href="#" class="btn btn-default btn-sm add-to-whishlist" data-product-id="<?php echo $product[0]->product_id; ?>" data-toggle="tooltip" data-placement="top" title="<?php echo $this->lang->line('Wishlist');?>"> <i class="material-icons favorite_border"></i> </a> 

          <!-- .form-element --> 
          <a href="#" id="product-button" class="add-to-cart" data-product-id="<?php echo $product[0]->product_id; ?>" data-unit="1"> <em><?php echo $this->lang->line('Add to Cart');?></em>
          <svg x="0px" y="0px" width="32px" height="32px" viewBox="0 0 32 32">
            <path stroke-dasharray="19.79 19.79" stroke-dashoffset="19.79" fill="none" stroke="#FFFFFF" stroke-width="2" stroke-linecap="square" stroke-miterlimit="10" d="M9,17l3.9,3.9c0.1,0.1,0.2,0.1,0.3,0L23,11"></path>
          </svg>
          </a><!-- .add-to-cart --> 
        </div>
        <?php
        $share_url = base_url().$sess[0]->lang.'/products/'.$product[0]->product_id;
				?>
        <!-- .product-tools -->
        <div class="product-share"> <span><?php echo $this->lang->line('Share this product');?>: </span>
          <div class="social-bar"> <a href="javascript:void(0)" data-url="https://www.facebook.com/sharer/sharer.php?u=<?php echo $share_url;?>" class="sb-facebook" data-toggle="tooltip" data-placement="top" title="Facebook"> <i class="socicon-facebook"></i> </a> <a href="javascript:void(0)" data-url="https://twitter.com/intent/tweet?text=<?php echo $product[0]->product_name; ?>t&url=<?php echo $share_url; ?>&via=<?php echo $property[0]->property_name; ?>" class="sb-twitter" data-toggle="tooltip" data-placement="top" title="Twitter"> <i class="socicon-twitter"></i> </a> </div>
        </div>
        <script>

var popupWindow=null;function popup(mypage,myname,w,h,pos,infocus){
if (pos == 'random'){LeftPosition=(screen.width)?Math.floor(Math.random()*(screen.width-w)):100;TopPosition=(screen.height)?Math.floor(Math.random()*((screen.height-h)-75)):100;}else{LeftPosition=(screen.width)?(screen.width-w)/2:100;TopPosition=(screen.height)?(screen.height-h)/2:100;}settings='width='+ w + ',height='+ h + ',top=' + TopPosition + ',left=' + LeftPosition + ',scrollbars=no,location=no,directories=no,status=no,menubar=no,toolbar=no,resizable=no';popupWindow=window.open('',myname,settings);if(infocus=='front'){popupWindow.focus();popupWindow.location=mypage;}if(infocus=='back'){popupWindow.blur();popupWindow.location=mypage;popupWindow.blur();}
}

$('.product-share a').click(function(){
	popup($(this).attr('data-url'),'pagename','740','360','center','front');	
});
        
        </script> 
      </div>
    </div>
  </section>
  <!-- .fw-section.bg-gray --> 
  
  <!-- Product Tabs -->
  <section class="container padding-top-2x"> 
    <!-- Nav Tabs -->
    <ul class="nav-tabs text-center" role="tablist">
      <li class="active"><a href="#overview" role="tab" data-toggle="tab"><?php echo $this->lang->line('Overview'); ?></a></li>
      <li><a href="#specifications" role="tab" data-toggle="tab"><?php echo $this->lang->line('Specifications'); ?></a></li>
      <?php if(count($document)){?>
      <li><a data-toggle="tab" href="#documents"><?php echo $this->lang->line('Documents');?></a></li>
      <?php }?>
      <?php if(count($download)){?>
      <li><a data-toggle="tab" href="#download"><?php echo $this->lang->line('Download');?></a></li>
      <?php }?>
    </ul>
    <!-- .nav-tabs --> 
    <!-- Tab panes -->
    <div class="tab-content">
      <div role="tabpanel" class="tab-pane transition fade in active" id="overview">
        <div class="row space-top">
          <div class="col-md-8 col-md-offset-2">
            <?php 
						
						if($language[0]->code == $property[0]->lang){
							echo $product[0]->product_overview; 
						}else{
							if(isset($translate[0]->overview)){
								echo $translate[0]->overview;
							}else{
								echo '<span id="product-overview" class="translate" lang="'.$property[0]->lang.'">'.$product[0]->product_overview.'</span>'; 					
							}
						}
						
						?>
          </div>
        </div>
      </div>
      <div role="tabpanel" class="tab-pane transition fade" id="specifications">
        <div class="row">
          <div class="col-md-8 col-md-offset-2">
            <div class="row">
              <div class="col-md-4">
                <table class="table-no-border">
                	<?php if(isset($product[0]->product_weight)){?>
                  <tr>
                    <th><?php echo $this->lang->line('Weight');?></th>
                    <td><?php echo number_format($product[0]->product_weight/1000,2,'.',',')?> <?php echo $this->lang->line('Kg');?></td>
                  </tr>
                  <?php }?>
                  <?php if(isset($product[0]->color_option)){
										if($product[0]->color_option){
										?>
                  <tr>
                    <th><?php echo $this->lang->line('Color');?></th>
                    <td><?php echo $product[0]->color_option; ?></td>
                  </tr>
                  <?php
										}
									 }?>
                  <?php if(isset($product[0]->size_option)){
										if($product[0]->size_option){										
										?>
                  <tr>
                    <th><?php echo $this->lang->line('Size');?></th>
                    <td><?php echo $product[0]->size_option; ?></td>
                  </tr>
                  <?php 
										}
									}?>
                </table>
              </div>
              <div class="col-md-8"> 
              
<?php              						
						if($language[0]->code == $property[0]->lang){
							echo $product[0]->product_specifications; 
						}else{
							if(isset($translate[0]->product_specifications)){
								echo $translate[0]->product_specifications;
							}else{
								echo '<span id="product-specifications" class="translate" lang="'.$property[0]->lang.'">'.$product[0]->product_specifications.'</span>'; 					
							}
						}
?> </div>
            </div>
          </div>
        </div>
      </div>
      <?php if(count($document)){?>
      <div role="tabpanel" class="tab-pane transition fade" id="documents">
        <div class="row">
          <div class="col-md-8 col-md-offset-2">
            <p><strong><?php echo $this->lang->line('View all the latest documents product information');?></strong></p>
            <?php 
										echo '<table class="table">';
										echo '<thead>';
										echo '<tr>';
										echo '<th width="60%">'.$this->lang->line('File name').'</th>';
										echo '<th width="30%">'.$this->lang->line('Size').'</th>';
										echo '<th></th>';
										echo '</tr>';
										echo '</thead>';
										echo '<tbody>';
										foreach($document as $index=>$value){
											echo '<tr>';
											echo '<td>'.$value->filename.'</td>';
											echo '<td>'.$this->Files->formatBytes($value->size).'</td>';
											echo '<td class="text-right">';
											echo '<a href="'.base_url().$value->filepath.'" target="_blank">';
											echo '<i class="material-icons file_download"></i>';
											echo '</a>';
											echo '</td>';
											echo '</tr>';
										}
										echo '</tbody>';
										echo '</table>';
										?>
          </div>
        </div>
      </div>
      <?php }?>
      <?php if(count($download)){?>
      <div role="tabpanel" class="tab-pane transition fade" id="download">
        <div class="row">
          <div class="col-md-8 col-md-offset-2">
            <p><strong><?php echo $this->lang->line('View all the latest download files');?></strong></p>
            <?php 
										echo '<table class="table">';
										echo '<thead>';
										echo '<tr>';
										echo '<th width="60%">'.$this->lang->line('File name').'</th>';
										echo '<th width="30%">'.$this->lang->line('Size').'</th>';
										echo '<th></th>';
										echo '</tr>';
										echo '</thead>';
										echo '<tbody>';
										foreach($download as $index=>$value){
											echo '<tr>';
											echo '<td>'.$value->filename.'</td>';
											echo '<td>'.$this->Files->formatBytes($value->size).'</td>';
											echo '<td class="text-right">';
											echo '<a href="'.base_url().$value->filepath.'" target="_blank">';
											echo '<i class="material-icons file_download"></i>';
											echo '</a>';
											echo '</td>';
											echo '</tr>';
										}
										echo '</tbody>';
										echo '</table>';
										?>
          </div>
        </div>
      </div>
      <?php }?>
    </div>
  </section>
  <script>
	$(".product-tools .incr-btn").on("click", function(e) {
		var $button = $(this);
		var oldValue = $button.parent().find('.quantity').val();
		$button.parent().find('.incr-btn[data-action="decrease"]').removeClass('inactive');
		if ($button.data('action') == "increase") {
			var newVal = parseFloat(oldValue) + 1;
		} else {
		 // Don't allow decrementing below 1
			if (oldValue > 1) {
				var newVal = parseFloat(oldValue) - 1;
			} else {
				newVal = 1;
				$button.addClass('inactive');
			}
		}
		$('#product-button').attr('data-unit', newVal);
		$button.parent().find('.quantity').val(newVal);
		e.preventDefault();
	});

</script>
<?php include('tpl.related.product.php');?>
<?php //include('tpl.footer.php');?>
